<?php
/**
 * This file is used to generate the "Help" page in the admin.
 *
 * @package live-news
 */

if ( ! current_user_can( 'manage_options' ) ) {
	wp_die( esc_html__( 'You do not have sufficient permissions to access this page.', 'daln' ) );
}

?>

<!-- output -->

<div class="wrap">

	<h2><?php esc_html_e( 'Live News - Help', 'daln' ); ?></h2>

	<div id="daext-menu-wrapper">

		<p>
		<?php
		esc_html_e(
			'Visit the resources below to find your answers or to ask questions directly to the plugin developers.',
			'daln'
		);
		?>
				</p>
		<ul>
			<li>
				<a href="https://daext.com/doc/live-news-pro/"><?php esc_html_e( 'Plugin Documentation', 'daln' ); ?></a>
			</li>
			<li><a href="https://daext.com/support/"><?php esc_html_e( 'Support Conditions', 'daln' ); ?></li>
			<li><a href="https://daext.com"><?php esc_html_e( 'Developer Website', 'daln' ); ?></a></li>
		</ul>

	</div>

</div>

